package com.example.digest;

import java.net.URI;  
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;  
  
import org.apache.http.HttpResponse;  
import org.apache.http.auth.AuthScope;  
import org.apache.http.auth.Credentials;  
import org.apache.http.auth.UsernamePasswordCredentials;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpUriRequest;
import org.apache.http.client.params.AuthPolicy;
import org.apache.http.impl.auth.DigestSchemeFactory;  
import org.apache.http.impl.client.DefaultHttpClient;  
  
/** 
 * @author Administrator 
 *  
 */  
public class HTTPDigestClient {  
    private URI serverURI = null;  
    String response = null;  
    private DefaultHttpClient httpClient = new DefaultHttpClient();  
  
    /** 
     * constructor 
     */  
    public HTTPDigestClient(String userName, String passWord, String url) {  
        try {  
            serverURI = new URI(url);  
            Credentials creds = new UsernamePasswordCredentials(userName,  
                    passWord);  
  
            httpClient.getCredentialsProvider().setCredentials(  
                    new AuthScope(serverURI.getHost(), serverURI.getPort()), (Credentials) creds);  
  
            httpClient.getParams().setParameter(  
                    org.apache.http.client.params.AuthPolicy.DIGEST, Collections.singleton(AuthPolicy.DIGEST));  
            httpClient.getAuthSchemes().register(AuthPolicy.DIGEST,  
                    new DigestSchemeFactory());  
  
        } catch (Exception e) {  
              
        }  
    }  
  
    /** 
     * send request to server 
     *  
     * @param httpClient 
     * @param httpUriRequest 
     * @return response HttpResponse 
     */  
    public HttpResponse send(HttpUriRequest httpUriRequest) {  
        HttpResponse response = null;  
        try {  
            if (null == httpClient) {  
                  
                return response;  
            }  
            response = httpClient.execute(httpUriRequest);  
  
        } catch (Exception e) {  
              
        }  
        return response;  
    }  
}  
